Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/68
Addresses2^60
/64 networksPart of one
Network
2001:db8:0:c:3000::/68
First address
2001:db8:0:c:3000::
Last address
2001:db8:0:c:3fff:ffff:ffff:ffff
Addresses
1,152,921,504,606,846,976 (2^60)
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2001:0db8:0000:000c:3000:0000:0000:0000
Type
Documentation 2001:db8::/32
For examples; never used on a network
Reverse DNS zone
3.c.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets/76

2001:db8:0:c:3000::/68 makes 256 subnets of /76.

Subnets
#SubnetLast address
12001:db8:0:c:3000::/762001:db8:0:c:300f:ffff:ffff:ffff
22001:db8:0:c:3010::/762001:db8:0:c:301f:ffff:ffff:ffff
32001:db8:0:c:3020::/762001:db8:0:c:302f:ffff:ffff:ffff
42001:db8:0:c:3030::/762001:db8:0:c:303f:ffff:ffff:ffff
52001:db8:0:c:3040::/762001:db8:0:c:304f:ffff:ffff:ffff
62001:db8:0:c:3050::/762001:db8:0:c:305f:ffff:ffff:ffff
72001:db8:0:c:3060::/762001:db8:0:c:306f:ffff:ffff:ffff
82001:db8:0:c:3070::/762001:db8:0:c:307f:ffff:ffff:ffff
92001:db8:0:c:3080::/762001:db8:0:c:308f:ffff:ffff:ffff
102001:db8:0:c:3090::/762001:db8:0:c:309f:ffff:ffff:ffff
112001:db8:0:c:30a0::/762001:db8:0:c:30af:ffff:ffff:ffff
122001:db8:0:c:30b0::/762001:db8:0:c:30bf:ffff:ffff:ffff
132001:db8:0:c:30c0::/762001:db8:0:c:30cf:ffff:ffff:ffff
142001:db8:0:c:30d0::/762001:db8:0:c:30df:ffff:ffff:ffff
152001:db8:0:c:30e0::/762001:db8:0:c:30ef:ffff:ffff:ffff
162001:db8:0:c:30f0::/762001:db8:0:c:30ff:ffff:ffff:ffff
172001:db8:0:c:3100::/762001:db8:0:c:310f:ffff:ffff:ffff
182001:db8:0:c:3110::/762001:db8:0:c:311f:ffff:ffff:ffff
192001:db8:0:c:3120::/762001:db8:0:c:312f:ffff:ffff:ffff
202001:db8:0:c:3130::/762001:db8:0:c:313f:ffff:ffff:ffff
212001:db8:0:c:3140::/762001:db8:0:c:314f:ffff:ffff:ffff
222001:db8:0:c:3150::/762001:db8:0:c:315f:ffff:ffff:ffff
232001:db8:0:c:3160::/762001:db8:0:c:316f:ffff:ffff:ffff
242001:db8:0:c:3170::/762001:db8:0:c:317f:ffff:ffff:ffff
252001:db8:0:c:3180::/762001:db8:0:c:318f:ffff:ffff:ffff
262001:db8:0:c:3190::/762001:db8:0:c:319f:ffff:ffff:ffff
272001:db8:0:c:31a0::/762001:db8:0:c:31af:ffff:ffff:ffff
282001:db8:0:c:31b0::/762001:db8:0:c:31bf:ffff:ffff:ffff
292001:db8:0:c:31c0::/762001:db8:0:c:31cf:ffff:ffff:ffff
302001:db8:0:c:31d0::/762001:db8:0:c:31df:ffff:ffff:ffff
312001:db8:0:c:31e0::/762001:db8:0:c:31ef:ffff:ffff:ffff
322001:db8:0:c:31f0::/762001:db8:0:c:31ff:ffff:ffff:ffff
332001:db8:0:c:3200::/762001:db8:0:c:320f:ffff:ffff:ffff
342001:db8:0:c:3210::/762001:db8:0:c:321f:ffff:ffff:ffff
352001:db8:0:c:3220::/762001:db8:0:c:322f:ffff:ffff:ffff
362001:db8:0:c:3230::/762001:db8:0:c:323f:ffff:ffff:ffff
372001:db8:0:c:3240::/762001:db8:0:c:324f:ffff:ffff:ffff
382001:db8:0:c:3250::/762001:db8:0:c:325f:ffff:ffff:ffff
392001:db8:0:c:3260::/762001:db8:0:c:326f:ffff:ffff:ffff
402001:db8:0:c:3270::/762001:db8:0:c:327f:ffff:ffff:ffff
412001:db8:0:c:3280::/762001:db8:0:c:328f:ffff:ffff:ffff
422001:db8:0:c:3290::/762001:db8:0:c:329f:ffff:ffff:ffff
432001:db8:0:c:32a0::/762001:db8:0:c:32af:ffff:ffff:ffff
442001:db8:0:c:32b0::/762001:db8:0:c:32bf:ffff:ffff:ffff
452001:db8:0:c:32c0::/762001:db8:0:c:32cf:ffff:ffff:ffff
462001:db8:0:c:32d0::/762001:db8:0:c:32df:ffff:ffff:ffff
472001:db8:0:c:32e0::/762001:db8:0:c:32ef:ffff:ffff:ffff
482001:db8:0:c:32f0::/762001:db8:0:c:32ff:ffff:ffff:ffff
492001:db8:0:c:3300::/762001:db8:0:c:330f:ffff:ffff:ffff
502001:db8:0:c:3310::/762001:db8:0:c:331f:ffff:ffff:ffff
512001:db8:0:c:3320::/762001:db8:0:c:332f:ffff:ffff:ffff
522001:db8:0:c:3330::/762001:db8:0:c:333f:ffff:ffff:ffff
532001:db8:0:c:3340::/762001:db8:0:c:334f:ffff:ffff:ffff
542001:db8:0:c:3350::/762001:db8:0:c:335f:ffff:ffff:ffff
552001:db8:0:c:3360::/762001:db8:0:c:336f:ffff:ffff:ffff
562001:db8:0:c:3370::/762001:db8:0:c:337f:ffff:ffff:ffff
572001:db8:0:c:3380::/762001:db8:0:c:338f:ffff:ffff:ffff
582001:db8:0:c:3390::/762001:db8:0:c:339f:ffff:ffff:ffff
592001:db8:0:c:33a0::/762001:db8:0:c:33af:ffff:ffff:ffff
602001:db8:0:c:33b0::/762001:db8:0:c:33bf:ffff:ffff:ffff
612001:db8:0:c:33c0::/762001:db8:0:c:33cf:ffff:ffff:ffff
622001:db8:0:c:33d0::/762001:db8:0:c:33df:ffff:ffff:ffff
632001:db8:0:c:33e0::/762001:db8:0:c:33ef:ffff:ffff:ffff
642001:db8:0:c:33f0::/762001:db8:0:c:33ff:ffff:ffff:ffff
652001:db8:0:c:3400::/762001:db8:0:c:340f:ffff:ffff:ffff
662001:db8:0:c:3410::/762001:db8:0:c:341f:ffff:ffff:ffff
672001:db8:0:c:3420::/762001:db8:0:c:342f:ffff:ffff:ffff
682001:db8:0:c:3430::/762001:db8:0:c:343f:ffff:ffff:ffff
692001:db8:0:c:3440::/762001:db8:0:c:344f:ffff:ffff:ffff
702001:db8:0:c:3450::/762001:db8:0:c:345f:ffff:ffff:ffff
712001:db8:0:c:3460::/762001:db8:0:c:346f:ffff:ffff:ffff
722001:db8:0:c:3470::/762001:db8:0:c:347f:ffff:ffff:ffff
732001:db8:0:c:3480::/762001:db8:0:c:348f:ffff:ffff:ffff
742001:db8:0:c:3490::/762001:db8:0:c:349f:ffff:ffff:ffff
752001:db8:0:c:34a0::/762001:db8:0:c:34af:ffff:ffff:ffff
762001:db8:0:c:34b0::/762001:db8:0:c:34bf:ffff:ffff:ffff
772001:db8:0:c:34c0::/762001:db8:0:c:34cf:ffff:ffff:ffff
782001:db8:0:c:34d0::/762001:db8:0:c:34df:ffff:ffff:ffff
792001:db8:0:c:34e0::/762001:db8:0:c:34ef:ffff:ffff:ffff
802001:db8:0:c:34f0::/762001:db8:0:c:34ff:ffff:ffff:ffff
812001:db8:0:c:3500::/762001:db8:0:c:350f:ffff:ffff:ffff
822001:db8:0:c:3510::/762001:db8:0:c:351f:ffff:ffff:ffff
832001:db8:0:c:3520::/762001:db8:0:c:352f:ffff:ffff:ffff
842001:db8:0:c:3530::/762001:db8:0:c:353f:ffff:ffff:ffff
852001:db8:0:c:3540::/762001:db8:0:c:354f:ffff:ffff:ffff
862001:db8:0:c:3550::/762001:db8:0:c:355f:ffff:ffff:ffff
872001:db8:0:c:3560::/762001:db8:0:c:356f:ffff:ffff:ffff
882001:db8:0:c:3570::/762001:db8:0:c:357f:ffff:ffff:ffff
892001:db8:0:c:3580::/762001:db8:0:c:358f:ffff:ffff:ffff
902001:db8:0:c:3590::/762001:db8:0:c:359f:ffff:ffff:ffff
912001:db8:0:c:35a0::/762001:db8:0:c:35af:ffff:ffff:ffff
922001:db8:0:c:35b0::/762001:db8:0:c:35bf:ffff:ffff:ffff
932001:db8:0:c:35c0::/762001:db8:0:c:35cf:ffff:ffff:ffff
942001:db8:0:c:35d0::/762001:db8:0:c:35df:ffff:ffff:ffff
952001:db8:0:c:35e0::/762001:db8:0:c:35ef:ffff:ffff:ffff
962001:db8:0:c:35f0::/762001:db8:0:c:35ff:ffff:ffff:ffff
972001:db8:0:c:3600::/762001:db8:0:c:360f:ffff:ffff:ffff
982001:db8:0:c:3610::/762001:db8:0:c:361f:ffff:ffff:ffff
992001:db8:0:c:3620::/762001:db8:0:c:362f:ffff:ffff:ffff
1002001:db8:0:c:3630::/762001:db8:0:c:363f:ffff:ffff:ffff
1012001:db8:0:c:3640::/762001:db8:0:c:364f:ffff:ffff:ffff
1022001:db8:0:c:3650::/762001:db8:0:c:365f:ffff:ffff:ffff
1032001:db8:0:c:3660::/762001:db8:0:c:366f:ffff:ffff:ffff
1042001:db8:0:c:3670::/762001:db8:0:c:367f:ffff:ffff:ffff
1052001:db8:0:c:3680::/762001:db8:0:c:368f:ffff:ffff:ffff
1062001:db8:0:c:3690::/762001:db8:0:c:369f:ffff:ffff:ffff
1072001:db8:0:c:36a0::/762001:db8:0:c:36af:ffff:ffff:ffff
1082001:db8:0:c:36b0::/762001:db8:0:c:36bf:ffff:ffff:ffff
1092001:db8:0:c:36c0::/762001:db8:0:c:36cf:ffff:ffff:ffff
1102001:db8:0:c:36d0::/762001:db8:0:c:36df:ffff:ffff:ffff
1112001:db8:0:c:36e0::/762001:db8:0:c:36ef:ffff:ffff:ffff
1122001:db8:0:c:36f0::/762001:db8:0:c:36ff:ffff:ffff:ffff
1132001:db8:0:c:3700::/762001:db8:0:c:370f:ffff:ffff:ffff
1142001:db8:0:c:3710::/762001:db8:0:c:371f:ffff:ffff:ffff
1152001:db8:0:c:3720::/762001:db8:0:c:372f:ffff:ffff:ffff
1162001:db8:0:c:3730::/762001:db8:0:c:373f:ffff:ffff:ffff
1172001:db8:0:c:3740::/762001:db8:0:c:374f:ffff:ffff:ffff
1182001:db8:0:c:3750::/762001:db8:0:c:375f:ffff:ffff:ffff
1192001:db8:0:c:3760::/762001:db8:0:c:376f:ffff:ffff:ffff
1202001:db8:0:c:3770::/762001:db8:0:c:377f:ffff:ffff:ffff
1212001:db8:0:c:3780::/762001:db8:0:c:378f:ffff:ffff:ffff
1222001:db8:0:c:3790::/762001:db8:0:c:379f:ffff:ffff:ffff
1232001:db8:0:c:37a0::/762001:db8:0:c:37af:ffff:ffff:ffff
1242001:db8:0:c:37b0::/762001:db8:0:c:37bf:ffff:ffff:ffff
1252001:db8:0:c:37c0::/762001:db8:0:c:37cf:ffff:ffff:ffff
1262001:db8:0:c:37d0::/762001:db8:0:c:37df:ffff:ffff:ffff
1272001:db8:0:c:37e0::/762001:db8:0:c:37ef:ffff:ffff:ffff
1282001:db8:0:c:37f0::/762001:db8:0:c:37ff:ffff:ffff:ffff
1292001:db8:0:c:3800::/762001:db8:0:c:380f:ffff:ffff:ffff
1302001:db8:0:c:3810::/762001:db8:0:c:381f:ffff:ffff:ffff
1312001:db8:0:c:3820::/762001:db8:0:c:382f:ffff:ffff:ffff
1322001:db8:0:c:3830::/762001:db8:0:c:383f:ffff:ffff:ffff
1332001:db8:0:c:3840::/762001:db8:0:c:384f:ffff:ffff:ffff
1342001:db8:0:c:3850::/762001:db8:0:c:385f:ffff:ffff:ffff
1352001:db8:0:c:3860::/762001:db8:0:c:386f:ffff:ffff:ffff
1362001:db8:0:c:3870::/762001:db8:0:c:387f:ffff:ffff:ffff
1372001:db8:0:c:3880::/762001:db8:0:c:388f:ffff:ffff:ffff
1382001:db8:0:c:3890::/762001:db8:0:c:389f:ffff:ffff:ffff
1392001:db8:0:c:38a0::/762001:db8:0:c:38af:ffff:ffff:ffff
1402001:db8:0:c:38b0::/762001:db8:0:c:38bf:ffff:ffff:ffff
1412001:db8:0:c:38c0::/762001:db8:0:c:38cf:ffff:ffff:ffff
1422001:db8:0:c:38d0::/762001:db8:0:c:38df:ffff:ffff:ffff
1432001:db8:0:c:38e0::/762001:db8:0:c:38ef:ffff:ffff:ffff
1442001:db8:0:c:38f0::/762001:db8:0:c:38ff:ffff:ffff:ffff
1452001:db8:0:c:3900::/762001:db8:0:c:390f:ffff:ffff:ffff
1462001:db8:0:c:3910::/762001:db8:0:c:391f:ffff:ffff:ffff
1472001:db8:0:c:3920::/762001:db8:0:c:392f:ffff:ffff:ffff
1482001:db8:0:c:3930::/762001:db8:0:c:393f:ffff:ffff:ffff
1492001:db8:0:c:3940::/762001:db8:0:c:394f:ffff:ffff:ffff
1502001:db8:0:c:3950::/762001:db8:0:c:395f:ffff:ffff:ffff
1512001:db8:0:c:3960::/762001:db8:0:c:396f:ffff:ffff:ffff
1522001:db8:0:c:3970::/762001:db8:0:c:397f:ffff:ffff:ffff
1532001:db8:0:c:3980::/762001:db8:0:c:398f:ffff:ffff:ffff
1542001:db8:0:c:3990::/762001:db8:0:c:399f:ffff:ffff:ffff
1552001:db8:0:c:39a0::/762001:db8:0:c:39af:ffff:ffff:ffff
1562001:db8:0:c:39b0::/762001:db8:0:c:39bf:ffff:ffff:ffff
1572001:db8:0:c:39c0::/762001:db8:0:c:39cf:ffff:ffff:ffff
1582001:db8:0:c:39d0::/762001:db8:0:c:39df:ffff:ffff:ffff
1592001:db8:0:c:39e0::/762001:db8:0:c:39ef:ffff:ffff:ffff
1602001:db8:0:c:39f0::/762001:db8:0:c:39ff:ffff:ffff:ffff
1612001:db8:0:c:3a00::/762001:db8:0:c:3a0f:ffff:ffff:ffff
1622001:db8:0:c:3a10::/762001:db8:0:c:3a1f:ffff:ffff:ffff
1632001:db8:0:c:3a20::/762001:db8:0:c:3a2f:ffff:ffff:ffff
1642001:db8:0:c:3a30::/762001:db8:0:c:3a3f:ffff:ffff:ffff
1652001:db8:0:c:3a40::/762001:db8:0:c:3a4f:ffff:ffff:ffff
1662001:db8:0:c:3a50::/762001:db8:0:c:3a5f:ffff:ffff:ffff
1672001:db8:0:c:3a60::/762001:db8:0:c:3a6f:ffff:ffff:ffff
1682001:db8:0:c:3a70::/762001:db8:0:c:3a7f:ffff:ffff:ffff
1692001:db8:0:c:3a80::/762001:db8:0:c:3a8f:ffff:ffff:ffff
1702001:db8:0:c:3a90::/762001:db8:0:c:3a9f:ffff:ffff:ffff
1712001:db8:0:c:3aa0::/762001:db8:0:c:3aaf:ffff:ffff:ffff
1722001:db8:0:c:3ab0::/762001:db8:0:c:3abf:ffff:ffff:ffff
1732001:db8:0:c:3ac0::/762001:db8:0:c:3acf:ffff:ffff:ffff
1742001:db8:0:c:3ad0::/762001:db8:0:c:3adf:ffff:ffff:ffff
1752001:db8:0:c:3ae0::/762001:db8:0:c:3aef:ffff:ffff:ffff
1762001:db8:0:c:3af0::/762001:db8:0:c:3aff:ffff:ffff:ffff
1772001:db8:0:c:3b00::/762001:db8:0:c:3b0f:ffff:ffff:ffff
1782001:db8:0:c:3b10::/762001:db8:0:c:3b1f:ffff:ffff:ffff
1792001:db8:0:c:3b20::/762001:db8:0:c:3b2f:ffff:ffff:ffff
1802001:db8:0:c:3b30::/762001:db8:0:c:3b3f:ffff:ffff:ffff
1812001:db8:0:c:3b40::/762001:db8:0:c:3b4f:ffff:ffff:ffff
1822001:db8:0:c:3b50::/762001:db8:0:c:3b5f:ffff:ffff:ffff
1832001:db8:0:c:3b60::/762001:db8:0:c:3b6f:ffff:ffff:ffff
1842001:db8:0:c:3b70::/762001:db8:0:c:3b7f:ffff:ffff:ffff
1852001:db8:0:c:3b80::/762001:db8:0:c:3b8f:ffff:ffff:ffff
1862001:db8:0:c:3b90::/762001:db8:0:c:3b9f:ffff:ffff:ffff
1872001:db8:0:c:3ba0::/762001:db8:0:c:3baf:ffff:ffff:ffff
1882001:db8:0:c:3bb0::/762001:db8:0:c:3bbf:ffff:ffff:ffff
1892001:db8:0:c:3bc0::/762001:db8:0:c:3bcf:ffff:ffff:ffff
1902001:db8:0:c:3bd0::/762001:db8:0:c:3bdf:ffff:ffff:ffff
1912001:db8:0:c:3be0::/762001:db8:0:c:3bef:ffff:ffff:ffff
1922001:db8:0:c:3bf0::/762001:db8:0:c:3bff:ffff:ffff:ffff
1932001:db8:0:c:3c00::/762001:db8:0:c:3c0f:ffff:ffff:ffff
1942001:db8:0:c:3c10::/762001:db8:0:c:3c1f:ffff:ffff:ffff
1952001:db8:0:c:3c20::/762001:db8:0:c:3c2f:ffff:ffff:ffff
1962001:db8:0:c:3c30::/762001:db8:0:c:3c3f:ffff:ffff:ffff
1972001:db8:0:c:3c40::/762001:db8:0:c:3c4f:ffff:ffff:ffff
1982001:db8:0:c:3c50::/762001:db8:0:c:3c5f:ffff:ffff:ffff
1992001:db8:0:c:3c60::/762001:db8:0:c:3c6f:ffff:ffff:ffff
2002001:db8:0:c:3c70::/762001:db8:0:c:3c7f:ffff:ffff:ffff
2012001:db8:0:c:3c80::/762001:db8:0:c:3c8f:ffff:ffff:ffff
2022001:db8:0:c:3c90::/762001:db8:0:c:3c9f:ffff:ffff:ffff
2032001:db8:0:c:3ca0::/762001:db8:0:c:3caf:ffff:ffff:ffff
2042001:db8:0:c:3cb0::/762001:db8:0:c:3cbf:ffff:ffff:ffff
2052001:db8:0:c:3cc0::/762001:db8:0:c:3ccf:ffff:ffff:ffff
2062001:db8:0:c:3cd0::/762001:db8:0:c:3cdf:ffff:ffff:ffff
2072001:db8:0:c:3ce0::/762001:db8:0:c:3cef:ffff:ffff:ffff
2082001:db8:0:c:3cf0::/762001:db8:0:c:3cff:ffff:ffff:ffff
2092001:db8:0:c:3d00::/762001:db8:0:c:3d0f:ffff:ffff:ffff
2102001:db8:0:c:3d10::/762001:db8:0:c:3d1f:ffff:ffff:ffff
2112001:db8:0:c:3d20::/762001:db8:0:c:3d2f:ffff:ffff:ffff
2122001:db8:0:c:3d30::/762001:db8:0:c:3d3f:ffff:ffff:ffff
2132001:db8:0:c:3d40::/762001:db8:0:c:3d4f:ffff:ffff:ffff
2142001:db8:0:c:3d50::/762001:db8:0:c:3d5f:ffff:ffff:ffff
2152001:db8:0:c:3d60::/762001:db8:0:c:3d6f:ffff:ffff:ffff
2162001:db8:0:c:3d70::/762001:db8:0:c:3d7f:ffff:ffff:ffff
2172001:db8:0:c:3d80::/762001:db8:0:c:3d8f:ffff:ffff:ffff
2182001:db8:0:c:3d90::/762001:db8:0:c:3d9f:ffff:ffff:ffff
2192001:db8:0:c:3da0::/762001:db8:0:c:3daf:ffff:ffff:ffff
2202001:db8:0:c:3db0::/762001:db8:0:c:3dbf:ffff:ffff:ffff
2212001:db8:0:c:3dc0::/762001:db8:0:c:3dcf:ffff:ffff:ffff
2222001:db8:0:c:3dd0::/762001:db8:0:c:3ddf:ffff:ffff:ffff
2232001:db8:0:c:3de0::/762001:db8:0:c:3def:ffff:ffff:ffff
2242001:db8:0:c:3df0::/762001:db8:0:c:3dff:ffff:ffff:ffff
2252001:db8:0:c:3e00::/762001:db8:0:c:3e0f:ffff:ffff:ffff
2262001:db8:0:c:3e10::/762001:db8:0:c:3e1f:ffff:ffff:ffff
2272001:db8:0:c:3e20::/762001:db8:0:c:3e2f:ffff:ffff:ffff
2282001:db8:0:c:3e30::/762001:db8:0:c:3e3f:ffff:ffff:ffff
2292001:db8:0:c:3e40::/762001:db8:0:c:3e4f:ffff:ffff:ffff
2302001:db8:0:c:3e50::/762001:db8:0:c:3e5f:ffff:ffff:ffff
2312001:db8:0:c:3e60::/762001:db8:0:c:3e6f:ffff:ffff:ffff
2322001:db8:0:c:3e70::/762001:db8:0:c:3e7f:ffff:ffff:ffff
2332001:db8:0:c:3e80::/762001:db8:0:c:3e8f:ffff:ffff:ffff
2342001:db8:0:c:3e90::/762001:db8:0:c:3e9f:ffff:ffff:ffff
2352001:db8:0:c:3ea0::/762001:db8:0:c:3eaf:ffff:ffff:ffff
2362001:db8:0:c:3eb0::/762001:db8:0:c:3ebf:ffff:ffff:ffff
2372001:db8:0:c:3ec0::/762001:db8:0:c:3ecf:ffff:ffff:ffff
2382001:db8:0:c:3ed0::/762001:db8:0:c:3edf:ffff:ffff:ffff
2392001:db8:0:c:3ee0::/762001:db8:0:c:3eef:ffff:ffff:ffff
2402001:db8:0:c:3ef0::/762001:db8:0:c:3eff:ffff:ffff:ffff
2412001:db8:0:c:3f00::/762001:db8:0:c:3f0f:ffff:ffff:ffff
2422001:db8:0:c:3f10::/762001:db8:0:c:3f1f:ffff:ffff:ffff
2432001:db8:0:c:3f20::/762001:db8:0:c:3f2f:ffff:ffff:ffff
2442001:db8:0:c:3f30::/762001:db8:0:c:3f3f:ffff:ffff:ffff
2452001:db8:0:c:3f40::/762001:db8:0:c:3f4f:ffff:ffff:ffff
2462001:db8:0:c:3f50::/762001:db8:0:c:3f5f:ffff:ffff:ffff
2472001:db8:0:c:3f60::/762001:db8:0:c:3f6f:ffff:ffff:ffff
2482001:db8:0:c:3f70::/762001:db8:0:c:3f7f:ffff:ffff:ffff
2492001:db8:0:c:3f80::/762001:db8:0:c:3f8f:ffff:ffff:ffff
2502001:db8:0:c:3f90::/762001:db8:0:c:3f9f:ffff:ffff:ffff
2512001:db8:0:c:3fa0::/762001:db8:0:c:3faf:ffff:ffff:ffff
2522001:db8:0:c:3fb0::/762001:db8:0:c:3fbf:ffff:ffff:ffff
2532001:db8:0:c:3fc0::/762001:db8:0:c:3fcf:ffff:ffff:ffff
2542001:db8:0:c:3fd0::/762001:db8:0:c:3fdf:ffff:ffff:ffff
2552001:db8:0:c:3fe0::/762001:db8:0:c:3fef:ffff:ffff:ffff
2562001:db8:0:c:3ff0::/762001:db8:0:c:3fff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses